GZEXE(1)

BEZEICHNUNG
gzexe - ausführbare Dateien direkt komprimieren und das Original ersetzen

ÜBERSICHT
gzexe Name ...

BESCHREIBUNG
Das Dienstprogramm gzexe ermöglicht Ihnen die Komprimierung ausführbarer Dateien und deren Ersetzung durch die komprimierten Dateien, so dass diese bei der Ausführung automatisch dekomprimiert werden (auf Kosten der Performance). Wenn Sie beispielsweise »gzexe /usr/bin/gdb« ausführen, werden die beiden folgenden Dateien erstellt:
    -rwxr-xr-x  1 root root 1026675 Jun  7 13:53 /usr/bin/gdb
    -rwxr-xr-x  1 root root 2304524 May 30 13:02 /usr/bin/gdb~
/usr/bin/gdb~ ist die Originaldatei und /usr/bin/gdb die selbst-dekomprimierende ausführbare Datei. Sie können /usr/bin/gdb~ löschen, sobald sichergestellt ist, dass /usr/bin/gdb korrekt funktioniert.

Dieses Dienstprogramm ist am sinnvollsten auf Systemen mit sehr kleinen Speichergeräten einsetzbar.

OPTIONEN

-d  dekomprimiert die angegebenen ausführbaren Dateien, anstatt sie zu komprimieren.

SIEHE AUCH
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

EINSCHRÄNKUNGEN
Die komprimierte ausführbare Datei ist ein Shell-Skript. Das kann einige Sicherheitslücken zur Folge haben. Insbesondere bezieht sich die komprimierte ausführbare Datei auf die Umgebungsvariable PATH, um nach gzip und einigen Standardwerkzeugen zu suchen (basename, chmod, ln, mkdir, mktemp, rm, sleep und tail).

FEHLER
gzexe versucht, die ursprünglichen Dateiattribute der komprimierten ausführbaren Datei zu erhalten. Allerdings werden Sie diese in einigen Fällen noch manuell mit chmod oder chown nachbearbeiten müssen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.